<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<html>
	<head>
		<title>${Item.name}</title>
		<link rel="stylesheet" type="text/css" href="${pageContext.servletContext.contextPath}/inventory.css" />
	</head>

	<body>
		<c:if test="${empty action or action == 'view'}">
			<h1>Item details</h1>
			<table>
				<tr>
					<th>Name</th>
					<th>Quantity</th>
					<th>Operations</th>
				</tr>
				<tr>
					<td>${Item.name}</td>
					<td>${Item.quantity}</td>
					<td>
						<a href="${pageContext.servletContext.contextPath}/app/inventory/${Item.name}?action=edit">Edit</a>
						<a href="${pageContext.servletContext.contextPath}/app/inventory/${Item.name}?action=delete">Delete</a>
					</td>
			</tr>
			</table>
		</c:if>
		
		<!-- TODO: UIs for other actions (edit, add, delete) -->
		<c:if test="${action == 'add'}">
			<h1>Add an Item</h1>
			<form action="${pageContext.servletContext.contextPath}/app/inventory/NewItem?action=add" method="post">
				<table>
					<tr>
						<th>Name</th>
						<th>Quantity</th>
					</tr>
					<tr>
						<td><input type="text" name="itemName" size="10" value="${Item.name}" /></td>
						<td><input type="text" name="itemQuantity" size="10" value="${Item.quantity}" /></td>
					</tr>
				</table>
				<div class="submitButton"><input type="submit" name="submit" value="Submit" /></div>
			</form>
		</c:if>
		
		<c:if test="${! empty result}">
			<div class="result">${result}</div>
		</c:if>
		
		<div class="link"><a href="${pageContext.servletContext.contextPath}/app/inventory">Back to inventory</a></div>
	</body>
</html>